# Dice Save Plugin

This unofficial TaleSpire plugin saves the state of any dice on the board and reloads then when a
board from the corresponding campaign is loaded (or on demand). This allows quick reloading of
dice used in previous sessions.
 
## Change Log
```
1.0.0: Initial release
```
## Install

Use R2ModMan or similar installer to install this plugin.
   
## Usage

When you have loaded teh desired dice on to the board, press the Dice Save keyboard shortcut.

``RCTRL`` + ``D`` = Dice Save

When a board for the corresponding cmapaign is loaded, the dice will automatically be loaded
into the dice tray, spawned and moved to where they were located when the dice state was saved.

The dice can also be re-sapwned using a manual keyboard shortcut.

``LCTRL`` + ``D`` = Dice Load (typically not needed since it is triggered automatically)

## Limitations

The plugin saves purley the dice. This has to significance:

### No Modifiers

Dice which had modifiers on them are loaded without any modifiers

### No Groups

Dice which were spawned as part of a dice tray group are restored as individual dice. This means
that this plugin works best when used with the Proximity Roller plugin so that it is possible to
roll multiple dice without needing them to be in a core dice tray group.

## Good News And Bad News

The bad news is that this plugin restores dice as individual dice so even if dice where spawned
as a group from the dice tray, when reloaded they will become individual dice. This is usually
not desired unless you are using the Proximity Roller Plugin because core TS does not allow rolling
groups of dice unless they were spawned as a group.

The good news is that if you are using the Proximity Roller Plugin then this is actually a great
feature because it means you can setup your dice faster. For example, to setup 10D6 you can use
the dice tray to create a 10D6 group, place it on the board, save the dice state and when reloaded
the ten dice will all be individual dice which is what is desired for the Proximity Roller Plugin.